.project {
    color: $biscay;
    position: relative;

    @media (min-width: $md) {
        margin: 1em;
        overflow: hidden;
    }

    &__container {
        width: 100%;
        max-width: $xl;
        margin: auto auto;

        &--full {
            max-width: 100%;
        }
    }

    &__content {
        opacity: 0;
    }

    &__overlay {
        position:absolute;
        width: 100%;
        height: 100%;
        overflow: hidden;
        z-index: -1;

        &--mint-tulip {
            background-color: $mint-tulip;
        }
    }

    &__image {
        height: 75vw;
        background-size: cover;
        background-position: center center;

        @media (min-width: $md) {
            height: 55vw;
        }

        @media (min-width: $lg) {
            height: 35vw;
        }
    }

    &__information {
        max-width: $md;
        padding: 3.5em 1em;

        @media (min-width: $lg) {
            padding: 7.5em 2.5em;
        }

        &--center {
            margin: auto auto;
        }

        &--small {
            max-width: $sm;
        }

        &--large {
            max-width: $lg;
        }
    }

    &__video {
        display: flex;
        max-height: 25em;
        overflow: hidden;
        align-items: flex-start;
        justify-content: center;

        @media (min-width: $lg) {
            max-height: 50em;
        }
    }

    .sticky {
        padding: 3.5em 1em;

        @media (min-width: $lg) {
            padding: 7.5em 2.5em;
        }

        &__information {
            width: 100%;

            &--list {
                margin-bottom: 2em;

                h2,
                .h2 {
                    position: relative;
            
                    @media (min-width: $md) {
                        padding-left: 50px;

                        &::before {
                            content: '';
                            position: absolute;
                            top: 50%;
                            left: 0;
                            height: 5px;
                            width: 40px;
                            transform: translateY(-50%);
                            background-color: $biscay;
                        }
                    }
                }
    
                p {
                    @media (min-width: $md) {
                        padding-left: 50px;
                    }
                }

                @media (min-width: $md) {
                    margin-bottom: 4em;
                }
            }

            @media (min-width: $md) {
                width: 50%;
                margin-left: 50%;
            }
        }

        &__heading {
            padding: 1em 0;

            @media (min-width: $md) {
                width: 50%;
                position: sticky;
                top: 0;
                float: left;
                padding-right: 2em;
            }
        }
    }
}